Git development
 help / color / mirror / Atom feed
* [PATCH] instaweb: Nicer error message when the http daemon isn't found
@ 2007-01-06 10:40 Fredrik Kuivinen
  2007-01-07  2:09 ` Eric Wong
  0 siblings, 1 reply; 2+ messages in thread
From: Fredrik Kuivinen @ 2007-01-06 10:40 UTC (permalink / raw)
  To: junkio; +Cc: git




Signed-off-by: Fredrik Kuivinen <frekui@gmail.com>

---

 git-instaweb.sh |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

diff --git a/git-instaweb.sh b/git-instaweb.sh
index 08362f4..80adc83 100755
--- a/git-instaweb.sh
+++ b/git-instaweb.sh
@@ -53,6 +53,9 @@ start_httpd () {
 				return
 			fi
 		done
+		echo "$httpd_only not found. Install $httpd_only or use" \
+		     "--httpd to specify another http daemon."
+		exit 1
 	fi
 	if test $? != 0; then
 		echo "Could not execute http daemon $httpd."

^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2007-01-07  2:10 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2007-01-06 10:40 [PATCH] instaweb: Nicer error message when the http daemon isn't found Fredrik Kuivinen
2007-01-07  2:09 ` Eric Wong

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox